Bug 1279999 - Self Serice UI login screen has unimplemented features
Self Serice UI login screen has unimplemented features
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity high
: GA
: 5.5.0
Assigned To: Aparna Karve
Pavol Kotvan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-10 11:45 EST by Dan Clarizio
Modified: 2015-12-21 09:39 EST (History)
8 users (show)

See Also:
Fixed In Version: 5.5.0.11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:46:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
SSUI Login Screen (24.80 KB, image/png)
2015-11-10 11:45 EST, Dan Clarizio
no flags Details
SSUI Login screen after change (34.79 KB, image/png)
2015-11-20 09:18 EST, Pavol Kotvan
no flags Details

  None (edit)
Description Dan Clarizio 2015-11-10 11:45:35 EST
Created attachment 1092368 [details]
SSUI Login Screen

Description of problem:
Login screen has Remember username check box and Forgot username and password links that do nothing.

Version-Release number of selected component (if applicable):
5.5

Actual results:
Non-functioning controls on login screen

Expected results:
Don't show these controls

Additional info:
Let's comment these out in the code so we can implement them in the next release
Comment 3 CFME Bot 2015-11-11 18:00:32 EST
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/0b4e36004e1e38dc37112b871dd330034c478923

commit 0b4e36004e1e38dc37112b871dd330034c478923
Author:     Aparna Karve <akarve@redhat.com>
AuthorDate: Tue Nov 10 16:29:45 2015 -0800
Commit:     Aparna Karve <akarve@redhat.com>
CommitDate: Wed Nov 11 09:02:02 2015 -0800

    Comment out the non-functioning controls in the login screen
    Also right-justified the login button
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1279999

 spa_ui/self_service/client/app/states/login/login.html | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)
Comment 4 CFME Bot 2015-11-12 15:32:58 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=9a5267a99db385aea54dd20f9a42fab5ca5ae15d

commit 9a5267a99db385aea54dd20f9a42fab5ca5ae15d
Author:     Aparna Karve <akarve@redhat.com>
AuthorDate: Tue Nov 10 16:29:45 2015 -0800
Commit:     Aparna Karve <akarve@redhat.com>
CommitDate: Wed Nov 11 12:43:48 2015 -0800

    Comment out the non-functioning controls in the login screen
    Also right-justified the login button
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1279999

 spa_ui/self_service/client/app/states/login/login.html | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)
Comment 5 CFME Bot 2015-11-12 15:33:16 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=223b6525eddbdc0046e489907cdae8365716be6e

commit 223b6525eddbdc0046e489907cdae8365716be6e
Merge: 5a41c1f 9a5267a
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Wed Nov 11 18:21:19 2015 -0500
Commit:     Dan Clarizio <dclarizi@redhat.com>
CommitDate: Wed Nov 11 18:21:19 2015 -0500

    Merge branch 'comment_login_non_functioning_ctrls' into '5.5.z'
    
    Comment out the non-functioning controls in the login screen
    
    Clean cherry-pick
    Upstream PR - https://github.com/ManageIQ/manageiq/pull/5382
    
    Comment out the non-functioning controls in the login screen
    Also right-justified the login button
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1279999
    
    See merge request !418

 spa_ui/self_service/client/app/states/login/login.html | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)
Comment 6 Pavol Kotvan 2015-11-19 06:00:53 EST
Hi Aparna, is there a way how can I verify that this was implemented in 5.5.0.11? I browsed through CFME UI, but I could not find where to configure self service URL.
Thanks,
Pavol
Comment 7 Pavol Kotvan 2015-11-20 09:16:17 EST
Verified against 5.5.0.11. Checked https://<ip_of_appliance>/self_service and "Remember username" checkbox and "Forgot username or password" has been removed from self service login screen.
Comment 8 Pavol Kotvan 2015-11-20 09:18 EST
Created attachment 1097217 [details]
SSUI Login screen  after change
Comment 10 errata-xmlrpc 2015-12-08 08:46:02 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.